Contents

# Add-in Functions, List of Analysis Functions Part Two

The Add-in functions are supplied by the UNO com.sun.star.sheet.addin.Analysis service.

За да пристапите до оваа наредба...

Вметни - Функција - Категорија Додаток

## [text/scalc/01/func_imcos.xhp#imcos_head not found].

Returns the cosine of a complex number.

## [text/scalc/01/func_imcosh.xhp#imcosh_head not found].

Returns the hyperbolic cosine of a complex number.

## [text/scalc/01/func_imcot.xhp#imcot_head not found].

Returns the cotangent of a complex number.

## [text/scalc/01/func_imcsc.xhp#imcsc_head not found].

Returns the cosecant of a complex number.

## [text/scalc/01/func_imcsch.xhp#imcsch_head not found].

Returns the hyperbolic cosecant of a complex number.

## [text/scalc/01/func_imsec.xhp#imsec_head not found].

Returns the secant of a complex number.

## [text/scalc/01/func_imsech.xhp#imsech_head not found].

Returns the hyperbolic secant of a complex number.

## [text/scalc/01/func_imsin.xhp#imsin_head not found].

Returns the sine of a complex number.

## [text/scalc/01/func_imsinh.xhp#imsinh_head not found].

Returns the hyperbolic sine of a complex number.

## [text/scalc/01/func_imtan.xhp#imtan_head not found].

Returns the tangent of a complex number.

## CONVERT

Converts a value from one unit of measurement to the corresponding value in another unit of measurement.

## COMPLEX

The result is a complex number which is returned from a real coefficient and an imaginary coefficient.

#### Syntax

COMPLEX(RealNum; INum [; Suffix])

Real num: the real coefficient of the complex number.

I num: the imaginary coefficient of the complex number.

Suffix: list of options, "i" or "j".

#### Example

=COMPLEX(3;4;j) returns 3+4j.

## FACTDOUBLE

The result is the factorial of the number with increments of 2.

#### Syntax

FACTDOUBLE(Number)

Number: if the number is even, the following factorial is calculated: n*(N-2)*(n-4)*...*4*2.

For even numbers FACTDOUBLE(n) returns:

2*4*6*8* ... *n

For odd numbers FACTDOUBLE(n) returns:

1*3*5*7* ... *n

FACTDOUBLE(0) returns 1 by definition.

#### Example

=FACTDOUBLE(6) returns 48.

=FACTDOUBLE(6) returns 48.

=FACTDOUBLE(6) returns 48.

## IMABS

The result is the absolute value of a complex number.

#### Syntax

IMABS(Complex number)

Complex number: the complex number is entered in the form "x + yi" or "x + yj"

#### Example

=IMABS("5+12j") returns 13.

## IMAGINARY

The result is the imaginary coefficient of a complex number.

#### Syntax

IMAGINARY(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMAGINARY("4+3j") returns 3.

## IMARGUMENT

The result is the argument (the phi angle) of a complex number.

#### Syntax

IMARGUMENT(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMARGUMENT("3+4j") returns 0.927295.

## IMCONJUGATE

The result is the conjugated complex complement to a complex number.

#### Syntax

IMCONJUGATE(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMCONJUGATE("1+j") returns 1-j.

## IMDIV

The result is the division of two complex numbers.

#### Syntax

IMDIV(Numerator;Denominator)

Numerator, Denominator: the complex numbers are entered in the form "x + yi" or "x + yj"

#### Example

=IMDIV("-238+240i";"10+24i") returns 5+12i.

## IMEXP

The result is the power of e and the complex number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

IMEXP(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMEXP("1+j") returns 1.47+2.29j (rounded).

## IMLN

The result is the natural logarithm (to the base e) of a complex number. The constant e has a value of approximately 2.71828182845904.

#### Syntax

IMLN(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMLN("1+j") returns 0.35+0.79j (rounded).

## IMLOG10

The result is the common logarithm (to the base 10) of a complex number.

#### Syntax

IMLOG10(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMLOG10("1+j") returns 0.15+0.34j (rounded).

## IMLOG2

The result is the binary logarithm of a complex number.

#### Syntax

IMLOG2(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMLOG2("1+j") returns 0.50+1.13j (rounded).

## IMPOWER

The result is the ComplexNumber raised to the power of Number.

#### Syntax

IMPOWER(Complex number;Number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

Number: the exponent.

#### Example

=IMPOWER("2+3i";2) returns -5+12i.

## IMPRODUCT

The result is the product of a set of complex numbers.

#### Syntax

IMPRODUCT(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1, Complex 2, … ,Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=IMPRODUCT("3+4j";"5-3j") returns 27+11j.

## IMREAL

The result is the real coefficient of a complex number.

#### Syntax

IMREAL(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMREAL("1+3j") returns 1.

## IMSQRT

The result is the square root of a complex number.

#### Syntax

IMSQRT(Complex number)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMSQRT("3+4i") returns 2+1i.

## IMSUB

The result is the subtraction of two complex numbers.

#### Syntax

IMSUB(Complex number 1;Complex number 2)

D'oh! You found a bug (text/scalc/01/04060116.xhp#complex not found).

#### Example

=IMSUB("13+4j";"5+3j") returns 8+j.

## IMSUM

The result is the sum of a set of complex numbers.

#### Syntax

IMSUM(Complex 1 [; Complex 2 [; … [; Complex 255]]])

Complex 1, Complex 2, … ,Complex 255 are complex numbers, references to cells or to cell ranges of complex numbers. Complex numbers are entered in the form "x+yi" or "x+yj".

#### Example

=IMSUM("13+4j";"5+3j") returns 18+7j.

## OCT2BIN

The result is the string representing the number in binary (base-2) form for the octal number string entered.

#### Syntax

OCT2BIN(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places: the number of places to be output.

#### Example

=OCT2BIN("3";3) returns "011".

## OCT2DEC

The result is the number for the octal number string entered.

#### Syntax

OCT2DEC(Number)

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

#### Example

=OCT2DEC("144") returns 100.

## OCT2HEX

The result is the string representing the number in hexadecimal form for the octal number string entered.

#### Syntax

OCT2HEX(Number [; Places])

Number is a string that represents an octal number. It can have a maximum of 10 places. The most significant bit is the sign bit, the following bits return the value. Negative numbers are entered as two's complement.

Places: the number of places to be output.

#### Example

=OCT2HEX("144";4) returns "0064".

Поврзани теми

Add-in Functions

Add-in Functions, List of Analysis Functions Part One

Statistics Functions

Functions by Category